Subject: bug#18807: seq does not play nice with large 64 bit integers

From: Thaddaeus Frogley <[email-masked]>
Date: Thu, 23 Oct 2014 15:15:54 +0100

Hi Padraig,

You say "quite a while".

This issue was found in: coreutils-8.23_1

Installed on OS X using brew.

Pulling the current source I can see there have been several releases since
then, but a git diff / log doesn't seem to produce any relevant changes,
i.e.:

git diff v8.23.. -- src/seq.c

Are you *sure* that this range in particular doesn't reproduce in the
latest?

I'm happy to investigate further myself, but I need to get set up to build
coreutils first.

Thanks

Thad

On 23 October 2014 14:54, Pádraig Brady <[email-masked]> wrote:

> tag 18807 notabug
> close 18807
> stop
>
> On 10/23/2014 02:12 PM, Thaddaeus Frogley wrote:
> > seq 2305843009213693952 2305843009213693954
> >
> >
> > Should produce
> >
> >
> > 2305843009213693952
> > 2305843009213693953
> > 2305843009213693954
> >
> >
> > But actually produces (repeating for ever):
> >
> >
> > 2.30584e+18
> > ...
>
> That's been fixed for quite a while,
> with the latest versions just manipulating text
> for simple integers like this, and so can work
> for any length strings.
>
> thanks,
> Pádraig.
>
>